Page MenuHomePhabricator

HHVM 4.0.0 causing travis test failures
Closed, ResolvedPublic

Description

If you're reading this and looking for a solution, replace hhvm with hhvm=3.18 in .travis.yml

https://travis-ci.org/wikimedia/IPSet/jobs/491956371 and https://travis-ci.com/wikimedia/css-sanitizer/jobs/176973417 and https://travis-ci.org/wikimedia/php-session-serializer/jobs/491974796

$ phpenv global hhvm 2>/dev/null
$ mkdir -p ${TRAVIS_HOME}/.phpenv/versions/hhvm/etc/conf.d
0.86s$ composer self-update
Fatal error: Uncaught exception 'InvalidArgumentException' with message 'array_pop() expects parameter 1 by reference, but the call was not annotated with '&'' in phar://composer.phar/bin/../src/../src/Composer/Util/Silencer.php:51
Stack trace:
#0 phar://composer.phar/bin/../src/../src/Composer/Util/Silencer.php(74): Composer\Util\Silencer::restore()
#1 phar://composer.phar/bin/../src/../src/Composer/Console/Application.php(71): Composer\Util\Silencer::call()
#2 phar://composer.phar/bin/composer(53): Composer\Console\Application->__construct()
#3 /home/travis/.phpenv/versions/hhvm-stable/bin/composer(25): include()
#4 {main}
$ php --version
HipHop VM 4.0.0 (rel)
Compiler: 1549919142_639457389
Repo schema: 9466575221a6d6d3e932fd671f6a488a9119de5c
$ composer --version
Fatal error: Uncaught exception 'InvalidArgumentException' with message 'array_pop() expects parameter 1 by reference, but the call was not annotated with '&'' in phar://composer.phar/bin/../src/../src/Composer/Util/Silencer.php:51
Stack trace:
#0 phar://composer.phar/bin/../src/../src/Composer/Util/Silencer.php(74): Composer\Util\Silencer::restore()
#1 phar://composer.phar/bin/../src/../src/Composer/Console/Application.php(71): Composer\Util\Silencer::call()
#2 phar://composer.phar/bin/composer(53): Composer\Console\Application->__construct()
#3 /home/travis/.phpenv/versions/hhvm-stable/bin/composer(25): include()
#4 {main}
0.87s$ composer install
Fatal error: Uncaught exception 'InvalidArgumentException' with message 'array_pop() expects parameter 1 by reference, but the call was not annotated with '&'' in phar://composer.phar/bin/../src/../src/Composer/Util/Silencer.php:51
Stack trace:
#0 phar://composer.phar/bin/../src/../src/Composer/Util/Silencer.php(74): Composer\Util\Silencer::restore()
#1 phar://composer.phar/bin/../src/../src/Composer/Console/Application.php(71): Composer\Util\Silencer::call()
#2 phar://composer.phar/bin/composer(53): Composer\Console\Application->__construct()
#3 /home/travis/.phpenv/versions/hhvm-stable/bin/composer(25): include()
#4 {main}
The command "composer install" failed and exited with 255 during .
Your build has been stopped.

HHVM 4.0.0 was released today (11th Feb) https://hhvm.com/blog/2019/02/11/hhvm-4.0.0.html

Event Timeline

Reedy created this task.Feb 12 2019, 4:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2019, 4:23 AM
Reedy added a comment.Feb 12 2019, 4:26 AM

Do we want to just pin the HHVM version(s) we want testing against? As I'm guessing this is some issue with HHVM 4 vs HHVM 3

Reedy renamed this task from IPSet tests failing on composer on HHVM to Travis tests failing on composer on HHVM.Feb 12 2019, 4:31 AM
Reedy added a project: CSS.
Reedy updated the task description. (Show Details)
Reedy updated the task description. (Show Details)

Change 489953 had a related patch set uploaded (by Reedy; owner: Reedy):
[css-sanitizer@master] Limit hhvm version to 3.18

https://gerrit.wikimedia.org/r/489953

Change 489954 had a related patch set uploaded (by Reedy; owner: Reedy):
[php-session-serializer@master] Limit hhvm version to 3.18

https://gerrit.wikimedia.org/r/489954

Change 489955 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/libs/XMPReader@master] Limit hhvm version to 3.18

https://gerrit.wikimedia.org/r/489955

Change 489956 had a related patch set uploaded (by Reedy; owner: Reedy):
[at-ease@master] Limit hhvm version to 3.18

https://gerrit.wikimedia.org/r/489956

Change 489957 had a related patch set uploaded (by Reedy; owner: Reedy):
[IPSet@master] Limit hhvm version to 3.18

https://gerrit.wikimedia.org/r/489957

Change 489956 merged by jenkins-bot:
[at-ease@master] Limit hhvm version to 3.18

https://gerrit.wikimedia.org/r/489956

Change 489957 merged by jenkins-bot:
[IPSet@master] Limit hhvm version to 3.18

https://gerrit.wikimedia.org/r/489957

Change 489955 merged by jenkins-bot:
[mediawiki/libs/XMPReader@master] Limit hhvm version to 3.18

https://gerrit.wikimedia.org/r/489955

Change 489958 had a related patch set uploaded (by Reedy; owner: Reedy):
[WrappedString@master] Limit hhvm version to 3.18

https://gerrit.wikimedia.org/r/489958

Change 489953 merged by jenkins-bot:
[css-sanitizer@master] Limit hhvm version to 3.18

https://gerrit.wikimedia.org/r/489953

Change 489954 merged by jenkins-bot:
[php-session-serializer@master] Limit hhvm version to 3.18

https://gerrit.wikimedia.org/r/489954

Change 489958 merged by jenkins-bot:
[WrappedString@master] Limit hhvm version to 3.18

https://gerrit.wikimedia.org/r/489958

Reedy updated the task description. (Show Details)Feb 12 2019, 4:59 AM
Reedy renamed this task from Travis tests failing on composer on HHVM to HHVM 4.0.0 causing travis test failures.Feb 12 2019, 5:01 AM
Reedy updated the task description. (Show Details)Feb 12 2019, 5:09 AM
hashar closed this task as Resolved.Mar 13 2019, 10:15 PM
hashar assigned this task to Reedy.
hashar added a subscriber: hashar.

HHVM is no more PHP compatible. With Wikimedia migrating to PHP7 I don't think MediaWiki will be kept HHVM compatible past 3.18.

Change 508442 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/oauthclient-php@master] Fix Travis builds

https://gerrit.wikimedia.org/r/508442

Change 508442 merged by jenkins-bot:
[mediawiki/oauthclient-php@master] Fix Travis builds

https://gerrit.wikimedia.org/r/508442

Tgr added a subscriber: Tgr.May 7 2019, 12:18 AM

Composer is throwing Keyword __HALT_COMPILER must be written in lowercase errors now on current HHVM. (Using 3.18 still works; just adding this here for search convenience.)

https://codesearch.wmflabs.org/search/?q=hhvm(%5B%5E-%5D%7C%24)&i=nope&files=travis%5C.ya%3Fml%24&repos=

Suggests the following may be affected as well:

  • extensions / PropertySuggester
  • extensions / WikibaseQuality
  • extensions / WikibaseQualityConstraints

Change 508479 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/PropertySuggester@master] build: Remove Travis CI config

https://gerrit.wikimedia.org/r/508479

Change 508479 merged by jenkins-bot:
[mediawiki/extensions/PropertySuggester@master] build: Remove Travis CI config

https://gerrit.wikimedia.org/r/508479